//  main: main.less, out: ../style.css


/* ====================================================================================================================================
FONT IMPORT
======================================================================================================================================*/

@import url('https://fonts.googleapis.com/css?family=Barlow:400,600,700|Playfair+Display:700&display=swap');


@font_titles: 'Playfair Display', serif;
@font_base: 'Barlow', sans-serif;

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
body {
    font-family: @font_base;
    font-size: @size__m;
    letter-spacing: .3px;
    font-weight: @font_w__r;
    color: @color-text;
}

p {
    line-height: @line_height;
}

h1,
h2,
h3 {
    font-family: @font_titles;
    font-weight: normal;
}

h1 {
    font-size: @size__xxl;
    @media @media_smartphone, @media_tablet {
        font-size: @size__xl;
    }
}
h2 {
    font-size: @size__xl;
    @media @media_smartphone, @media_tablet {
        font-size: @size__lm;
    }
}
h3 {
    font-size: @size__lm;
    @media @media_smartphone, @media_tablet {
        font-size: @size__m;
    }
}

h4 {
    font-family: @font_base;
    color: @color-primary;
    font-size: @size__m;
    font-weight: normal;

    @media @media_smartphone, @media_tablet {
        font-size: @size__m;
    }
}

html {
    font-family: @font_base;
    font-size: @size__m;
    color: @color-text;
}

strong {
    font-weight: 800;
}